---
- name: Add Docker apt repository key.
  apt_key:
    url: "https://download.docker.com/linux/debian/gpg"
    state: present

- name: gather facts
  setup:

- name: Set the stable docker repository
  apt_repository:
    repo: "deb [arch=amd64] https://download.docker.com/linux/debian \
          {{ ansible_lsb.codename }} \
          stable"
    state: present
    update_cache: yes

- name: Install Docker
  apt:
    name: docker-ce
    state: present
